Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser
Enum EKeyActionType

    java.lang.Object
      java.lang.Enum<EKeyActionType>
          gudusoft.gsqlparser.EKeyActionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EKeyActionType>

    public enum EKeyActionType

extends java.lang.Enum<EKeyActionType>

Enum Constant Summary
`delete`
`update`

Method Summary
`static EKeyActionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EKeyActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### delete

    public static final EKeyActionType delete

### update

    public static final EKeyActionType update

Method Detail

### values

    public static final EKeyActionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EKeyActionType c : EKeyActionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EKeyActionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD